<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta http-equiv="X-UA-Compatible" content="ie=edge">
    <title>XMLhttp3</title>
    <script type="text/javascript">
        function enconsola(text){
            console.log(text);
        }
    </script>
</head>
<body>
    <section id="container">
        RESPUESTA A LA PETICION:
    </section>
    <script type="text/javascript">
        const req = new XMLHttpRequest();
        req.onload = function(){
            if(req.status >= 200 && req.status < 300){
                enconsola(['success!', req]);
            }else{
                enconsola('Falooooo');
            }
            enconsola('siempre ejecuta');
        };
        req.open('GET', 'http://jsonplaceholder.typicode.com/albums', true);
        req.send();
    </script>
</body>
</html>